<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGL: VertexP_pageR&lt; DataType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGL
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="classVertexP__pageR-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">VertexP_pageR&lt; DataType &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__algorithm__group.html">Algorithms</a> &#124; <a class="el" href="group__page__rank.html">Page Rank</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Customized class for the page rank algorithm by Google as defined in the original Pregel paper. It customizes the <a class="el" href="classVertex.html" title="core vertex class for Pregel Engine (with only output edge buffer). It inherits the core vertex class...">Vertex</a> object.  
 <a href="classVertexP__pageR.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglExamplesPageR_8hpp_source.html">tiglExamplesPageR.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for VertexP_pageR&lt; DataType &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classVertexP__pageR.png" usemap="#VertexP_pageR&lt; DataType &gt;_map" alt=""/>
  <map id="VertexP_pageR&lt; DataType &gt;_map" name="VertexP_pageR&lt; DataType &gt;_map">
<area href="classVertex.html" alt="Vertex&lt; DataType, double, TIGLContainersEdgeBase&lt; uint_fast32_t &gt;, uint_fast32_t, uint_fast32_t, DblMessage &gt;" shape="rect" coords="0,56,574,80"/>
<area href="classVertexBase.html" alt="TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; uint_fast32_t &gt;, uint_fast32_t &gt;" shape="rect" coords="0,0,574,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6fa77c7a438d592f52dc67446665b2ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fa77c7a438d592f52dc67446665b2ef"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexP__pageR.html#a6fa77c7a438d592f52dc67446665b2ef">VertexP_pageR</a> (uint_fast32_t key)</td></tr>
<tr class="memdesc:a6fa77c7a438d592f52dc67446665b2ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor: enable vertex processing even in the absence of messages <br /></td></tr>
<tr class="separator:a6fa77c7a438d592f52dc67446665b2ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc59ba0d2643bb2272c4bb02623c93b5"><td class="memTemplParams" colspan="2">template&lt;typename ALLOCATOR_TYPE &gt; </td></tr>
<tr class="memitem:adc59ba0d2643bb2272c4bb02623c93b5"><td class="memTemplItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classVertexP__pageR.html#adc59ba0d2643bb2272c4bb02623c93b5">compute</a> (MESSAGE_BUF_TYPE *pIn, vector&lt; <a class="el" href="classMessage.html">DblMessage</a>, ALLOCATOR_TYPE &gt; *pOut, uint_fast32_t numMessages)</td></tr>
<tr class="memdesc:adc59ba0d2643bb2272c4bb02623c93b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">customized compute function  <a href="#adc59ba0d2643bb2272c4bb02623c93b5">More...</a><br /></td></tr>
<tr class="separator:adc59ba0d2643bb2272c4bb02623c93b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b564ee08bcc6a17eebfafea1b67eb22"><td class="memTemplParams" colspan="2">template&lt;typename ALLOCATOR_TYPE &gt; </td></tr>
<tr class="memitem:a6b564ee08bcc6a17eebfafea1b67eb22"><td class="memTemplItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classVertexP__pageR.html#a6b564ee08bcc6a17eebfafea1b67eb22">init</a> (uint_fast32_t *pNumVertices, vector&lt; <a class="el" href="classMessage.html">DblMessage</a>, ALLOCATOR_TYPE &gt; *pOut)</td></tr>
<tr class="memdesc:a6b564ee08bcc6a17eebfafea1b67eb22"><td class="mdescLeft">&#160;</td><td class="mdescRight">customized init function  <a href="#a6b564ee08bcc6a17eebfafea1b67eb22">More...</a><br /></td></tr>
<tr class="separator:a6b564ee08bcc6a17eebfafea1b67eb22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classVertex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classVertex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classVertex.html">Vertex&lt; DataType, double, TIGLContainersEdgeBase&lt; uint_fast32_t &gt;, uint_fast32_t, uint_fast32_t, DblMessage &gt;</a></td></tr>
<tr class="memitem:a144983fc25f8daec86625edd56ce82a2 inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a144983fc25f8daec86625edd56ce82a2">Vertex</a> (uint_fast32_tkey, bool noMessageFlag, bool inFlagReactivate)</td></tr>
<tr class="memdesc:a144983fc25f8daec86625edd56ce82a2 inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor setting parameters and callign the constructor of the base class  <a href="#a144983fc25f8daec86625edd56ce82a2">More...</a><br /></td></tr>
<tr class="separator:a144983fc25f8daec86625edd56ce82a2 inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91f156ad92a87e52f8f3eb9925b6aa5f inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91f156ad92a87e52f8f3eb9925b6aa5f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a91f156ad92a87e52f8f3eb9925b6aa5f">setParams</a> (uint_fast32_tkey, DataType data, doublealg)</td></tr>
<tr class="memdesc:a91f156ad92a87e52f8f3eb9925b6aa5f inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">disable the node <br /></td></tr>
<tr class="separator:a91f156ad92a87e52f8f3eb9925b6aa5f inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8da96efbfde6073f47940c46c0acbac3 inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8da96efbfde6073f47940c46c0acbac3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a8da96efbfde6073f47940c46c0acbac3">vote_to_halt</a> ()</td></tr>
<tr class="memdesc:a8da96efbfde6073f47940c46c0acbac3 inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">disable the node <br /></td></tr>
<tr class="separator:a8da96efbfde6073f47940c46c0acbac3 inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4d81194f3d15e28724b5397dd6f8057 inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4d81194f3d15e28724b5397dd6f8057"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#ad4d81194f3d15e28724b5397dd6f8057">isActive</a> ()</td></tr>
<tr class="memdesc:ad4d81194f3d15e28724b5397dd6f8057 inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if the node is active <br /></td></tr>
<tr class="separator:ad4d81194f3d15e28724b5397dd6f8057 inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa28f23add98dfce6a5479b99c06af2d1 inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa28f23add98dfce6a5479b99c06af2d1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#aa28f23add98dfce6a5479b99c06af2d1">isActiveWithNoMessage</a> ()</td></tr>
<tr class="memdesc:aa28f23add98dfce6a5479b99c06af2d1 inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if the vertex stays active even without messages <br /></td></tr>
<tr class="separator:aa28f23add98dfce6a5479b99c06af2d1 inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ae7863a14aa94dd662d5177f2f21d6a inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ae7863a14aa94dd662d5177f2f21d6a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a8ae7863a14aa94dd662d5177f2f21d6a">clear</a> ()</td></tr>
<tr class="memdesc:a8ae7863a14aa94dd662d5177f2f21d6a inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">clear vertex contents <br /></td></tr>
<tr class="separator:a8ae7863a14aa94dd662d5177f2f21d6a inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a052ec7617bb9517859b3c161aa30e7ff inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a052ec7617bb9517859b3c161aa30e7ff"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a052ec7617bb9517859b3c161aa30e7ff">canReactivate</a> ()</td></tr>
<tr class="memdesc:a052ec7617bb9517859b3c161aa30e7ff inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if the vertex can be reactivated by new messages <br /></td></tr>
<tr class="separator:a052ec7617bb9517859b3c161aa30e7ff inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69d93758d3b0925e0a56bcbb347d4523 inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69d93758d3b0925e0a56bcbb347d4523"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a69d93758d3b0925e0a56bcbb347d4523">activate</a> ()</td></tr>
<tr class="memdesc:a69d93758d3b0925e0a56bcbb347d4523 inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">activating the node <br /></td></tr>
<tr class="separator:a69d93758d3b0925e0a56bcbb347d4523 inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7539009c0bf5fc9f247a159e273fedb5 inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a7539009c0bf5fc9f247a159e273fedb5">compute</a> (MESSAGE_BUF_TYPE *pIn, vector&lt; <a class="el" href="classMessage.html">MESSAGE_TYPE</a>, ALLOCATOR_TYPE &gt; *pOut, uint_fast32_t numMessages)</td></tr>
<tr class="memdesc:a7539009c0bf5fc9f247a159e273fedb5 inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">virtual core compute function. Here it is an empty function that must be overridden by customized vertex definition for the different graph algorithms  <a href="#a7539009c0bf5fc9f247a159e273fedb5">More...</a><br /></td></tr>
<tr class="separator:a7539009c0bf5fc9f247a159e273fedb5 inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a351a476ae7f2d930857bdd973bcbbbc8 inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a351a476ae7f2d930857bdd973bcbbbc8">init</a> (INIT_TYPE *initParams, vector&lt; <a class="el" href="classMessage.html">MESSAGE_TYPE</a>, ALLOCATOR_TYPE &gt; *pOut)</td></tr>
<tr class="memdesc:a351a476ae7f2d930857bdd973bcbbbc8 inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">virtual core init function. Here it is an empty function that must be overridden by customized vertex definition for the different graph algorithms  <a href="#a351a476ae7f2d930857bdd973bcbbbc8">More...</a><br /></td></tr>
<tr class="separator:a351a476ae7f2d930857bdd973bcbbbc8 inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad415db584d2b07288ae68cc9b36a976e inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad415db584d2b07288ae68cc9b36a976e"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#ad415db584d2b07288ae68cc9b36a976e">getMessageBufSize</a> ()</td></tr>
<tr class="memdesc:ad415db584d2b07288ae68cc9b36a976e inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the size of message buffers <br /></td></tr>
<tr class="separator:ad415db584d2b07288ae68cc9b36a976e inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8503c72e2946374b868377ce7cf6738 inherit pub_methods_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8503c72e2946374b868377ce7cf6738"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#ad8503c72e2946374b868377ce7cf6738">setAggPtr</a> (<a class="el" href="classAggInfo.html">AGGREGATE_TYPE</a> *infoPtr)</td></tr>
<tr class="memdesc:ad8503c72e2946374b868377ce7cf6738 inherit pub_methods_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets a pointer to the aggregate information object <br /></td></tr>
<tr class="separator:ad8503c72e2946374b868377ce7cf6738 inherit pub_methods_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classVertexBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; uint_fast32_t &gt;, uint_fast32_t &gt;</a></td></tr>
<tr class="memitem:adb1a2b93398a600c6f3ec63b07b5d298 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#adb1a2b93398a600c6f3ec63b07b5d298">TIGLContainersVertexBase</a> (uint_fast32_tkey)</td></tr>
<tr class="memdesc:adb1a2b93398a600c6f3ec63b07b5d298 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor assign the id  <a href="#adb1a2b93398a600c6f3ec63b07b5d298">More...</a><br /></td></tr>
<tr class="separator:adb1a2b93398a600c6f3ec63b07b5d298 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34eb81edd484f2c867317fa8020a70e8 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a34eb81edd484f2c867317fa8020a70e8">addEdge</a> (<a class="el" href="classEdgeBase.html">TIGLContainersEdgeBase</a>&lt; uint_fast32_t &gt; &amp;x)</td></tr>
<tr class="memdesc:a34eb81edd484f2c867317fa8020a70e8 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">adding output edge  <a href="#a34eb81edd484f2c867317fa8020a70e8">More...</a><br /></td></tr>
<tr class="separator:a34eb81edd484f2c867317fa8020a70e8 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe5ac40c01303629cf1ded76fccd5fc9 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#abe5ac40c01303629cf1ded76fccd5fc9">addEdge</a> (ID_TYPE &amp;target)</td></tr>
<tr class="memdesc:abe5ac40c01303629cf1ded76fccd5fc9 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">adding output edge (overloaded function)  <a href="#abe5ac40c01303629cf1ded76fccd5fc9">More...</a><br /></td></tr>
<tr class="separator:abe5ac40c01303629cf1ded76fccd5fc9 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74baae25363b379b03e47cdb980ff6a1 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a74baae25363b379b03e47cdb980ff6a1">addEdge</a> (OUT_EDGE_BUF &amp;x)</td></tr>
<tr class="memdesc:a74baae25363b379b03e47cdb980ff6a1 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">adding multiple ouput edges  <a href="#a74baae25363b379b03e47cdb980ff6a1">More...</a><br /></td></tr>
<tr class="separator:a74baae25363b379b03e47cdb980ff6a1 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab006f12fd9aeec205ea897c20e59510c inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#ab006f12fd9aeec205ea897c20e59510c">removeEdge</a> (uint_fast32_t &amp;target)</td></tr>
<tr class="memdesc:ab006f12fd9aeec205ea897c20e59510c inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removing an output edge identified by target node.  <a href="#ab006f12fd9aeec205ea897c20e59510c">More...</a><br /></td></tr>
<tr class="separator:ab006f12fd9aeec205ea897c20e59510c inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a998b9ff387f81cf03698afc0f03d285d inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a998b9ff387f81cf03698afc0f03d285d">clearEdges</a> ()</td></tr>
<tr class="memdesc:a998b9ff387f81cf03698afc0f03d285d inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removing an output edge identified by target node.  <a href="#a998b9ff387f81cf03698afc0f03d285d">More...</a><br /></td></tr>
<tr class="separator:a998b9ff387f81cf03698afc0f03d285d inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2ee1c3555c41d6c5d5158c7db87e553 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2ee1c3555c41d6c5d5158c7db87e553"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#aa2ee1c3555c41d6c5d5158c7db87e553">getNumOutEdges</a> ()</td></tr>
<tr class="memdesc:aa2ee1c3555c41d6c5d5158c7db87e553 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">return the total number of output edges <br /></td></tr>
<tr class="separator:aa2ee1c3555c41d6c5d5158c7db87e553 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a093103af72a37ba4f79cb3a8795d7bac inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a093103af72a37ba4f79cb3a8795d7bac"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a093103af72a37ba4f79cb3a8795d7bac">getNumDifferentNbr</a> ()</td></tr>
<tr class="memdesc:a093103af72a37ba4f79cb3a8795d7bac inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the number of neigbors excluding self (i.e., ignoring self cycles) <br /></td></tr>
<tr class="separator:a093103af72a37ba4f79cb3a8795d7bac inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a020e6811758e3aa6dbfca82a5032ef8e inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a020e6811758e3aa6dbfca82a5032ef8e">getChildren</a> (vector&lt; uint_fast32_t &gt; &amp;vectChildren)</td></tr>
<tr class="memdesc:a020e6811758e3aa6dbfca82a5032ef8e inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">return the vertex id of all children  <a href="#a020e6811758e3aa6dbfca82a5032ef8e">More...</a><br /></td></tr>
<tr class="separator:a020e6811758e3aa6dbfca82a5032ef8e inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64bf2204455cd6fcfbe09250bfb5ce8e inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a64bf2204455cd6fcfbe09250bfb5ce8e">isConnected</a> (uint_fast32_tnode)</td></tr>
<tr class="memdesc:a64bf2204455cd6fcfbe09250bfb5ce8e inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if a given node is connected to the current node  <a href="#a64bf2204455cd6fcfbe09250bfb5ce8e">More...</a><br /></td></tr>
<tr class="separator:a64bf2204455cd6fcfbe09250bfb5ce8e inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5518145dfac6cccf6a953844db832437 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5518145dfac6cccf6a953844db832437"></a>
DataType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a5518145dfac6cccf6a953844db832437">get_value</a> ()</td></tr>
<tr class="memdesc:a5518145dfac6cccf6a953844db832437 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">return the vertex data field <br /></td></tr>
<tr class="separator:a5518145dfac6cccf6a953844db832437 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a507b6bc82839feae98ad222affa1c6bd inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a507b6bc82839feae98ad222affa1c6bd"></a>
double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a507b6bc82839feae98ad222affa1c6bd">getAlgData</a> ()</td></tr>
<tr class="memdesc:a507b6bc82839feae98ad222affa1c6bd inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the algorithm data <br /></td></tr>
<tr class="separator:a507b6bc82839feae98ad222affa1c6bd inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80eb6cd8ce4211480a2a14690701142f inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80eb6cd8ce4211480a2a14690701142f"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a80eb6cd8ce4211480a2a14690701142f">getId</a> ()</td></tr>
<tr class="memdesc:a80eb6cd8ce4211480a2a14690701142f inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the vertex id <br /></td></tr>
<tr class="separator:a80eb6cd8ce4211480a2a14690701142f inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad400ab868eb9d01dc4a54eecdd42af80 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad400ab868eb9d01dc4a54eecdd42af80"></a>
OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#ad400ab868eb9d01dc4a54eecdd42af80">getBeginOutEdgeIterator</a> ()</td></tr>
<tr class="memdesc:ad400ab868eb9d01dc4a54eecdd42af80 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns an iterator to the start of the outEdges buffer <br /></td></tr>
<tr class="separator:ad400ab868eb9d01dc4a54eecdd42af80 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1407b2b9e0feaa5673d4453a1f2b68f5 inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1407b2b9e0feaa5673d4453a1f2b68f5"></a>
OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a1407b2b9e0feaa5673d4453a1f2b68f5">getEndOutEdgeIterator</a> ()</td></tr>
<tr class="memdesc:a1407b2b9e0feaa5673d4453a1f2b68f5 inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns an iterator to the last edge of the outEdges buffer <br /></td></tr>
<tr class="separator:a1407b2b9e0feaa5673d4453a1f2b68f5 inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d95b1a399f35f2041ad3f427d607d8f inherit pub_methods_classVertexBase"><td class="memItemLeft" align="right" valign="top">OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a8d95b1a399f35f2041ad3f427d607d8f">get_edge</a> (ID_TYPE target)</td></tr>
<tr class="memdesc:a8d95b1a399f35f2041ad3f427d607d8f inherit pub_methods_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns an iterator to the output edge with a given target  <a href="#a8d95b1a399f35f2041ad3f427d607d8f">More...</a><br /></td></tr>
<tr class="separator:a8d95b1a399f35f2041ad3f427d607d8f inherit pub_methods_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr class="memitem:ab53f5388bdc178f6719cfecd290e262d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab53f5388bdc178f6719cfecd290e262d"></a>
static uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexP__pageR.html#ab53f5388bdc178f6719cfecd290e262d">numVertices</a></td></tr>
<tr class="memdesc:ab53f5388bdc178f6719cfecd290e262d"><td class="mdescLeft">&#160;</td><td class="mdescRight">numVertices: a static member that holds the total number of vertices <br /></td></tr>
<tr class="separator:ab53f5388bdc178f6719cfecd290e262d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_attribs_classVertex"><td colspan="2" onclick="javascript:toggleInherit('pro_static_attribs_classVertex')"><img src="closed.png" alt="-"/>&#160;Static Protected Attributes inherited from <a class="el" href="classVertex.html">Vertex&lt; DataType, double, TIGLContainersEdgeBase&lt; uint_fast32_t &gt;, uint_fast32_t, uint_fast32_t, DblMessage &gt;</a></td></tr>
<tr class="memitem:a3f16f2faf45cebba568c243a55da4e3e inherit pro_static_attribs_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f16f2faf45cebba568c243a55da4e3e"></a>
static <a class="el" href="classAggInfo.html">AGGREGATE_TYPE</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a3f16f2faf45cebba568c243a55da4e3e">aggregateInfoPtr</a></td></tr>
<tr class="memdesc:a3f16f2faf45cebba568c243a55da4e3e inherit pro_static_attribs_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">pointer to the aggregate information <br /></td></tr>
<tr class="separator:a3f16f2faf45cebba568c243a55da4e3e inherit pro_static_attribs_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39af26a364ed0b0b02dded453f212dd4 inherit pro_static_attribs_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39af26a364ed0b0b02dded453f212dd4"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a39af26a364ed0b0b02dded453f212dd4">activeWithNoMessage</a></td></tr>
<tr class="memdesc:a39af26a364ed0b0b02dded453f212dd4 inherit pro_static_attribs_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">a flag when true the vertex is processed even with no message, if false it is processed only if there are messages <br /></td></tr>
<tr class="separator:a39af26a364ed0b0b02dded453f212dd4 inherit pro_static_attribs_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d3dbce66b581ee792f0860d5473ad47 inherit pro_static_attribs_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d3dbce66b581ee792f0860d5473ad47"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#a4d3dbce66b581ee792f0860d5473ad47">reactivateFlag</a></td></tr>
<tr class="memdesc:a4d3dbce66b581ee792f0860d5473ad47 inherit pro_static_attribs_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">a flag when true the vertex can be reactivated by new messages, otherwise it never wake up once becomes inactive <br /></td></tr>
<tr class="separator:a4d3dbce66b581ee792f0860d5473ad47 inherit pro_static_attribs_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classVertex"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classVertex')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classVertex.html">Vertex&lt; DataType, double, TIGLContainersEdgeBase&lt; uint_fast32_t &gt;, uint_fast32_t, uint_fast32_t, DblMessage &gt;</a></td></tr>
<tr class="memitem:ad8571df099d529a8530c9c28943f6294 inherit pro_attribs_classVertex"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8571df099d529a8530c9c28943f6294"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertex.html#ad8571df099d529a8530c9c28943f6294">flagActive</a></td></tr>
<tr class="memdesc:ad8571df099d529a8530c9c28943f6294 inherit pro_attribs_classVertex"><td class="mdescLeft">&#160;</td><td class="mdescRight">active flag <br /></td></tr>
<tr class="separator:ad8571df099d529a8530c9c28943f6294 inherit pro_attribs_classVertex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classVertexBase')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, double, TIGLContainersEdgeBase&lt; uint_fast32_t &gt;, uint_fast32_t &gt;</a></td></tr>
<tr class="memitem:a68eb54bdc5fc2b3af1396af8e78fda05 inherit pro_attribs_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68eb54bdc5fc2b3af1396af8e78fda05"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a68eb54bdc5fc2b3af1396af8e78fda05">id</a></td></tr>
<tr class="memdesc:a68eb54bdc5fc2b3af1396af8e78fda05 inherit pro_attribs_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">unique vertex ID <br /></td></tr>
<tr class="separator:a68eb54bdc5fc2b3af1396af8e78fda05 inherit pro_attribs_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfa725b9d37b7b7db14b070df9eb6be9 inherit pro_attribs_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acfa725b9d37b7b7db14b070df9eb6be9"></a>
DataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#acfa725b9d37b7b7db14b070df9eb6be9">vertexData</a></td></tr>
<tr class="memdesc:acfa725b9d37b7b7db14b070df9eb6be9 inherit pro_attribs_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">associated generic data <br /></td></tr>
<tr class="separator:acfa725b9d37b7b7db14b070df9eb6be9 inherit pro_attribs_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1194c063341fb9886a4836d30baaec86 inherit pro_attribs_classVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1194c063341fb9886a4836d30baaec86"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a></td></tr>
<tr class="memdesc:a1194c063341fb9886a4836d30baaec86 inherit pro_attribs_classVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Algorithm-specific data. <br /></td></tr>
<tr class="separator:a1194c063341fb9886a4836d30baaec86 inherit pro_attribs_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73d57311fa56ef50a2d49ac4002d534c inherit pro_attribs_classVertexBase"><td class="memItemLeft" align="right" valign="top">OUT_EDGE_BUF&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classVertexBase.html#a73d57311fa56ef50a2d49ac4002d534c">outEdges</a></td></tr>
<tr class="separator:a73d57311fa56ef50a2d49ac4002d534c inherit pro_attribs_classVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename DataType = char&gt;<br />
class VertexP_pageR&lt; DataType &gt;</h3>

<p>Customized class for the page rank algorithm by Google as defined in the original Pregel paper. It customizes the <a class="el" href="classVertex.html" title="core vertex class for Pregel Engine (with only output edge buffer). It inherits the core vertex class...">Vertex</a> object. </p>
<ul>
<li>it is a template class with the following parameter <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">DataType</td><td>the type of the data field in a vertex </td></tr>
  </table>
  </dd>
</dl>
</li>
</ul>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="adc59ba0d2643bb2272c4bb02623c93b5"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename DataType  = char&gt; </div>
<div class="memtemplate">
template&lt;typename ALLOCATOR_TYPE &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t <a class="el" href="classVertexP__pageR.html">VertexP_pageR</a>&lt; DataType &gt;::compute </td>
          <td>(</td>
          <td class="paramtype">MESSAGE_BUF_TYPE *&#160;</td>
          <td class="paramname"><em>pIn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&lt; <a class="el" href="classMessage.html">DblMessage</a>, ALLOCATOR_TYPE &gt; *&#160;</td>
          <td class="paramname"><em>pOut</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>numMessages</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>customized compute function </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pIn</td><td>pointer to the input message buffer </td></tr>
    <tr><td class="paramname">pOut</td><td>pointer to the output message buffer </td></tr>
    <tr><td class="paramname">numMessages</td><td>the number of input data messages </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">the</td><td>number of output data messages </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6b564ee08bcc6a17eebfafea1b67eb22"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename DataType  = char&gt; </div>
<div class="memtemplate">
template&lt;typename ALLOCATOR_TYPE &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t <a class="el" href="classVertexP__pageR.html">VertexP_pageR</a>&lt; DataType &gt;::init </td>
          <td>(</td>
          <td class="paramtype">uint_fast32_t *&#160;</td>
          <td class="paramname"><em>pNumVertices</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&lt; <a class="el" href="classMessage.html">DblMessage</a>, ALLOCATOR_TYPE &gt; *&#160;</td>
          <td class="paramname"><em>pOut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>customized init function </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pNumVertices</td><td>pointer to uint_fast32_t parameter that has the total number of vertices in the graph </td></tr>
    <tr><td class="paramname">pOut</td><td>pointer to the output message buffer </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">the</td><td>number of output data messages </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/examples/<a class="el" href="tiglExamplesPageR_8hpp_source.html">tiglExamplesPageR.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Jan 14 2015 15:20:50 for TIGL by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
